using System;
using System.Collections.Generic;
using System.Text;
using Phoenix.WorldData;
 
namespace Phoenix
{
    public static partial class UOEx
    {
        public static bool GrabWait(Serial serial, int timeout)
        {
            using (ItemUpdateEventWaiter ew = new ItemUpdateEventWaiter(serial))
            {
                if (UO.Grab(0, serial))
                    return ew.Wait(timeout);
                else
                    return false;
            }
        }
    }
}
